Bug 970654 - xorg-x11-server fails to build for aarch64
xorg-x11-server fails to build for aarch64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 09:57 EDT by Mark Salter
Modified: 2013-12-02 10:50 EST (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-server-1.14.99.902-2.20131118.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 10:50:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
basic aarch64 support for xorg-server (4.20 KB, patch)
2013-06-04 09:57 EDT, Mark Salter
no flags Details | Diff

  None (edit)
Description Mark Salter 2013-06-04 09:57:00 EDT
Created attachment 756821 [details]
basic aarch64 support for xorg-server

Description of problem:
Xorg-x11-server needs some basic support in order to build on aarch64. The attached patch adds the bare minimum support for aarch64. Once aarch64 hardware becomes available, a more thorough port will be needed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Peter Hutterer 2013-06-04 19:12:27 EDT
Mark: please submit this to xorg-devel@lists.freedesktop.org. This needs to be merged upstream, not just in Fedora.

http://wiki.x.org/wiki/Development/Documentation/SubmittingPatches
Comment 2 Peter Robinson 2013-12-01 13:08:52 EST
At least part of the patch was discussed upstream.

http://patchwork.freedesktop.org/patch/12744/

For reference the Linaro bug report

https://bugs.launchpad.net/linaro-aarch64/+bug/1092128
Comment 3 Peter Robinson 2013-12-02 10:22:06 EST
Ajax: landed upstream in this commit:

http://cgit.freedesktop.org/xorg/xserver/commit/?id=ab4b1fb38a61feb73d8336cc7a3399eb9d3d25be

Note You need to log in before you can comment on or make changes to this bug.